#
# spec file for package ocaml-qtest
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-qtest
Version:        2.11.2
Release:        2.2
%{?ocaml_preserve_bytecode}
Summary:        Inline (Unit) Tests for OCaml
License:        GPL-3.0-or-later
ExclusiveArch:  aarch64 ppc64 ppc64le riscv64 s390x x86_64
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/qtest
Source0:        %name-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20230101
BuildRequires:  ocamlfind(bytes)
BuildRequires:  ocamlfind(qcheck)
BuildRequires:  ocamlfind(ounit2)

%description
qtest extracts inline unit tests written using a special syntax in
comments. Those tests are then run using the oUnit framework and the
qcheck library. The possibilities range from trivial tests
to sophisticated random generation of test cases.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='qtest'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files
%doc README.adoc
%_bindir/*

%files devel -f %name.files.devel

%changelog
* Sun May 21 2023 ohering@suse.de
- JaneStreet libraries are 64bit, this pkg depends on them
* Thu Jan 21 2021 ohering@suse.de
- Update to version 2.11.2
  no changelog provided by upstream
* Thu Aug 20 2020 ohering@suse.de
- Update to version 2.11
  no changelog provided by upstream
* Thu Nov 28 2019 ohering@suse.de
- Update to 2.10
  no changelog provided by upstream
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
* Mon Sep 30 2019 ohering@suse.de
- use dune macros from ocaml-rpm-macros
* Tue Feb 19 2019 andy@onthewings.net
- Update install files for ocaml-dune 1.7.1.
* Fri Feb  8 2019 andy@onthewings.net
- Update build command for new dune version.
* Fri Jul 27 2018 jengelh@inai.de
- Replace old $RPM_* shell vars by macros.
- Ensure neutrality of descriptions.
* Thu Jun 14 2018 andy@onthewings.net
- Initial packaging.
